#
# spec file for package perl-XML-LibXML-Simple
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-LibXML-Simple
Version:        0.93
Release:        4.2
%define cpan_name XML-LibXML-Simple
Summary:        XML::LibXML clone of XML::Simple::XMLin()
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-LibXML-Simple/
Source:         http://www.cpan.org/authors/id/M/MA/MARKOV/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(File::Slurp)
BuildRequires:  perl(XML::LibXML) >= 1.64
Requires:       perl(File::Slurp)
Requires:       perl(XML::LibXML) >= 1.64
%{perl_requires}

%description
This module is a blunt rewrite of XML::Simple (by Grant McLean) to use the
XML::LibXML parser for XML structures, where the original uses plain Perl
or SAX parsers.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog README

%changelog
* Tue Jun  4 2013 coolo@suse.com
- updated to 0.93
  - move pod-test to xt/
  - fix warning produced by Pod::Checker
  - include license in the manuals.
* Fri May 25 2012 werner@suse.de
- Do version update to 0.91
* Wed May 23 2012 cfarrell@suse.com
- license update: Artistic-1.0 or GPL-1.0+
  Perl license in SPDX format
* Tue May 22 2012 werner@suse.de
- run osc service localrun format_spec_file
* Fri Apr 29 2011 pascal.bleser@opensuse.org
- initial version (0.15)
